All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::gps_ctrl Class Referenceabstract

`#include <gps_ctrl.hpp>`

Inheritance diagram for uhd::gps_ctrl:

## Public Types

typedef boost::shared_ptr < gps_ctrl > | sptr

## Public Member Functions

virtual std::vector< std::string > | get_sensors (void)=0
virtual uhd::sensor_value_t | get_sensor (std::string key)=0
virtual bool | gps_detected (void)=0

## Static Public Member Functions

static sptr | make (uart_iface::sptr uart)

## Member Typedef Documentation

typedef boost::shared_ptr<gps_ctrl> uhd::gps_ctrl::sptr

## Member Function Documentation

virtual uhd::sensor_value_t uhd::gps_ctrl::get_sensor | ( | std::string | key | ) |

pure virtual

Retrieve the named sensor

virtual std::vector<std::string> uhd::gps_ctrl::get_sensors | ( | void |  | ) |

pure virtual

Retrieve the list of sensors this GPS object provides

virtual bool uhd::gps_ctrl::gps_detected | ( | void |  | ) |

pure virtual

Tell you if there's a supported GPS connected or not

Returns
  true if a supported GPS is connected

static sptr uhd::gps_ctrl::make | ( | uart_iface::sptr | uart | ) |

static

Make a GPS config for Jackson Labs or generic NMEA GPS devices

The documentation for this class was generated from the following file:

- include/uhd/usrp/gps_ctrl.hpp